%global pypi_name pathspec

Name:           python-%{pypi_name}
Version:        0.9.0
Release:        %mkrel 3
Summary:        Utility library for gitignore style pattern matching of file paths
Group:          Development/Python
License:        MPL 2.0
URL:            https://pypi.org/project/pathspec/
Source0:        %{pypi_name}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Path Specification (pathspec) is a utility library for pattern matching of file
paths. So far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Path Specification (pathspec) is a utility library for pattern matching of file
paths. So far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.


%prep
%setup -qn pathspec-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-pathspec
%doc README.rst LICENSE
%{python3_sitelib}/pathspec
%{python3_sitelib}/pathspec-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Aug 19 2022 TerryN <terryn94 at gmail.com> 0.9.0-1pclos2022
- import for python 3.10
